package com.trade.common.enums;

/**
 * @description: 合同状态常量
 * @Author: wanglang
 * @Date: 2024/9/4 9:26
 * @Version: 1.0
 */
public enum ContractStatus {
    DRAFT("1", "草稿"), TAKE_EFFECT("2", "生效"),
    TO_BE_UPLOADED("3", "待上传"), SIGNING_TIMEOUT("4", "合同签署超时"),
    SIGNING("5", "合同签署中"), COMPLETED("6", "已完成");

    private final String code;
    private final String info;

    ContractStatus(String code, String info){
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
